//==========================================================================
// ライト[Light.h]
// author: tatsuya ogawa
//==========================================================================
#ifndef _Light_H_
#define _Light_H_

//==========================================================================
// include
//==========================================================================
#include <Windows.h>
#include <d3d9.h>
#include <d3dx9.h>
#include "DXDevice.h"

//==========================================================================
//
// class  : CLight
// Content: ライト 
//
//==========================================================================
class CLight
{
public:
	CLight();
	~CLight();

	// 初期化
	// aVecDir = 光のベクトルを入れるところ
	void Init(D3DXVECTOR3 aVecDir);
private:
	D3DLIGHT9 m_aLight; // ライト
};

#endif // !_Light_H_
